import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrFeedback {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  ClassRoomCourseId!: bigint;
  ClassId!: bigint;
  IsAnonymity!: unknown;
  Status!: number;
  EndTime?: Date;
  Remark?: string;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrFeedbackSchema = defineEntity({
  class: IcrFeedback,
  comment: '反馈',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    ClassRoomCourseId: p.bigint().name('ClassRoomCourseId').comment('课堂课程Id'),
    ClassId: p.bigint().name('ClassId').comment('问题属于的本班Id'),
    IsAnonymity: p.array().name('IsAnonymity').comment('是否匿名'),
    Status: p.integer().name('Status').comment('状态;1. 答题开始 2 答题结束 255 已废弃'),
    EndTime: p.datetime().name('EndTime').length(3).nullable().comment('结束时间'),
    Remark: p.string().name('Remark').nullable().comment('备注'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
